Case
Query parameters
idintegerOptionalExample:
Case ID
234Header parameters
AcceptstringOptionalExample:
Expected content type
application/jsonResponses
200
Successful Response
application/json
idintegerOptional
weightintegerOptional
titlestringOptional
localized_titlestring · nullableOptional
descriptionstringOptional
updated_atstringOptional
created_atstringOptional
topic_idintegerOptional
classificationstringOptional
422
Validation Error
application/json
get/case/v3
GET /case/v3 HTTP/1.1
Host: api.tosdr.org
Accept: */*
{
"id": 234,
"weight": 100,
"title": "They store data on you even if you did not interact with the service",
"description": "Some services store data on you even if you did not provide that data yourself. For example, users might provide access to their address book, after which a service might also store the phone numbers of that person's contacts.",
"updated_at": "2020-10-19T19:26:18.784813",
"created_at": "2018-07-03T09:36:21.094100",
"topic_id": 41,
"classification": "blocker"
}Query parameters
idintegerOptionalExample:
Case ID
234pageintegerOptionalExample:
Page number when id is not provided
0Header parameters
AcceptstringOptionalExample:
Expected content type
application/jsonResponses
200
Successful Response
application/json
errorintegerOptional
Status code (e.g., 256 for OK)
messagestringOptional
Status message
422
Validation Error
application/json
get/case/v2
GET /case/v2 HTTP/1.1
Host: api.tosdr.org
Accept: */*
{
"error": 256,
"message": "OK",
"parameters": {
"id": 234,
"weight": 100,
"title": "They store data on you even if you did not interact with the service",
"description": "Some services store data on you even if you did not provide that data yourself. For example, users might provide access to their address book, after which a service might also store the phone numbers of that person's contacts.",
"updated_at": "2020-10-19T19:26:18.784813",
"created_at": "2018-07-03T09:36:21.094100",
"topic_id": 41,
"classification": "blocker"
}
}Last updated